2005-02-15 23:28  peter <peter@freepascal.org>

	* ide/: Makefile, Makefile.fpc, compiler/Makefile,
	fakegdb/Makefile:
	
	  * 1.9.8

2005-02-14 18:13  peter <peter@freepascal.org>

	* ide/: fp.pas, fpcalc.pas, fpcatch.pas, fpcodcmp.pas,
	fpcodtmp.pas, fpcompil.pas, fpconst.pas, fpdebug.pas, fpdesk.pas,
	fpdpansi.pas, fphelp.pas, fpide.pas, fpini.pas, fpintf.pas,
	fpkeys.pas, fpmansi.inc, fpmcomp.inc, fpmdebug.inc, fpmedit.inc,
	fpmfile.inc, fpmhelp.inc, fpmopts.inc, fpmrun.inc, fpmsrch.inc,
	fpmtools.inc, fpmwnd.inc, fpredir.pas, fpregs.pas, fpstre.inc,
	fpstrh.inc, fpstring.pas, fpswitch.pas, fpsymbol.pas, fptemplt.pas,
	fptools.pas, fpusrscr.pas, fputils.pas, fpvars.pas, fpviews.pas,
	pmode.pas, test.pas, vesa.pas, wansi.pas, wcedit.pas, wconsole.pas,
	wconsts.pas, wconstse.inc, wconstsh.inc, weditor.pas, whelp.pas,
	whlpview.pas, whtml.pas, whtmlhlp.pas, whtmlscn.pas, winclip.pas,
	wini.pas, wnghelp.pas, wos2help.pas, wresourc.pas, wtphwrit.pas,
	wutils.pas, wviews.pas, wvphelp.pas, wwinhelp.pas,
	compiler/compunit.pas, fakegdb/gdbcon.pas, fakegdb/gdbint.pas:
	
	  * truncate log

2005-02-10 21:57  peter <peter@freepascal.org>

	* ide/fpcompil.pas:
	
	  * implement tinputfile.getfiletime

2005-02-03 23:18  peter <peter@freepascal.org>

	* ide/fpregs.pas:
	
	  * fix generic cpu compile

2005-02-03 21:33  peter <peter@freepascal.org>

	* ide/: Makefile, compiler/Makefile, fakegdb/Makefile:
	
	  * regenerated

2005-01-28 11:05  armin

	* ide/vesa.pas:
	
	* applied packed record fix from Tomas

2005-01-16 01:43  florian <florian@freepascal.org>

	* ide/fpviews.pas:
	
	  * fixed disassembly window on sparc

2005-01-16 01:26  florian <florian@freepascal.org>

	* ide/fpregs.pas:
	
	  + all sparc registers are displayed now
	  + more sophisticated coloring of changed registers

2005-01-12 22:48  florian <florian@freepascal.org>

	* ide/fpregs.pas:
	
	  + register view for sparc

2005-01-11 18:07  peter <peter@freepascal.org>

	* ide/: Makefile, compiler/Makefile, fakegdb/Makefile:
	
	  * regenerated

2005-01-10 23:49  armin

	* ide/: Makefile, Makefile.fpc:
	
	* updated makefile.fpc versions to 1.9.7, regenerated makefiles

2005-01-10 22:29  peter <peter@freepascal.org>

	* ide/: Makefile, compiler/Makefile, fakegdb/Makefile:
	
	  * regenerated to use cpu-os

2005-01-10 21:52  florian <florian@freepascal.org>

	* ide/fpregs.pas:
	
	  * compilation fixed

2005-01-08 14:43  florian <florian@freepascal.org>

	* ide/: fpconst.pas, fpviews.pas:
	
	  * updated version and copyright

2005-01-08 13:05  florian <florian@freepascal.org>

	* ide/fpcompil.pas:
	
	  * user screen parsing fixed

2005-01-08 12:43  florian <florian@freepascal.org>

	* ide/: fpconst.pas, fpdebug.pas, fpdesk.pas, fpide.pas,
	fpmdebug.inc, fpmwnd.inc, fpregs.pas, fpstre.inc, fpvars.pas,
	fpviews.pas:
	
	  + vector unit window

2005-01-07 22:52  florian <florian@freepascal.org>

	* ide/: fpide.pas, fpmdebug.inc, fpmrun.inc, fpstre.inc:
	
	  * proper stepping in disassembler window now possible
	  + disassembler window to menu added

2005-01-07 20:09  florian <florian@freepascal.org>

	* ide/fpviews.pas:
	
	  * highlight keywords of all language modes

2005-01-07 19:29  florian <florian@freepascal.org>

	* ide/weditor.pas:
	
	  * fixed endian dependend code

2004-12-30 21:57  hajny <xhajt03@mbox.vol.cz>

	* ide/: Makefile, Makefile.fpc:
	
	  * version 1.9.6

2004-12-30 17:14  florian <florian@freepascal.org>

	* ide/fpconst.pas:
	
	  * ide version to 1.0.0 changed

2004-12-29 21:12  florian <florian@freepascal.org>

	* ide/fpdesk.pas:
	
	  * packed removed for sparc and co.

2004-12-22 16:24  peter <peter@freepascal.org>

	* ide/: fpdebug.pas, fpdesk.pas, fpide.pas, fpregs.pas,
	fpswitch.pas, fpvars.pas, fpviews.pas:
	
	  * fixed NODEBUG
	  * set default target to the default target of the compiler

2004-12-20 19:58  peter <peter@freepascal.org>

	* ide/: Makefile, Makefile.fpc:
	
	  * UnixHier

2004-12-20 19:37  peter <peter@freepascal.org>

	* ide/: Makefile, compiler/Makefile, fakegdb/Makefile:
	
	  * regenerated

2004-12-19 21:38  hajny <xhajt03@mbox.vol.cz>

	* ide/: fpide.pas, fpmopts.inc, fpstre.inc:
	
	  + confirmation box after video mode switch (bug 2933)

2004-12-19 21:31  hajny <xhajt03@mbox.vol.cz>

	* ide/wutils.pas:
	
	  * GiveUpTimeSlice for Dos improved for better cooperation with
	some TSRs on plain DOS

2004-12-19 20:11  florian <florian@freepascal.org>

	* ide/wviews.pas:
	
	  * fixed 64 bit issues

2004-12-19 19:39  florian <florian@freepascal.org>

	* ide/fpdebug.pas:
	
	  * made 64 bit safe

2004-12-19 18:42  peter <peter@freepascal.org>

	* ide/: Makefile, compiler/Makefile, fakegdb/Makefile:
	
	  * regenerated

2004-12-19 14:55  florian <florian@freepascal.org>

	* ide/: fpviews.pas, whlpview.pas, wutils.pas:
	
	  * x86_64 compilation fixed

2004-12-06 22:24  peter <peter@freepascal.org>

	* ide/fpcalc.pas:
	
	repeat last operation when pressing = again

2004-12-06 21:53  peter <peter@freepascal.org>

	* ide/wviews.pas:
	
	Handle cmUpdate for all DlgWindows

2004-12-06 21:39  peter <peter@freepascal.org>

	* ide/fpdebug.pas:
	
	change a[1,2] to a[1][2]

2004-12-06 20:23  peter <peter@freepascal.org>

	* ide/wviews.pas:
	
	dropdownlistbox works better with Enter key

2004-12-06 17:35  peter <peter@freepascal.org>

	* ide/weditor.pas:
	
	fix ioerror when last save had invalid dir

2004-12-06 17:23  peter <peter@freepascal.org>

	* ide/weditor.pas:
	
	fix codecomplete in overwrite mode

2004-12-06 17:23  peter <peter@freepascal.org>

	* ide/fp.pas:
	
	with_gdb -> nodebug

2004-12-05 18:10  hajny <xhajt03@mbox.vol.cz>

	* ide/: Makefile, compiler/Makefile, fakegdb/Makefile:
	
	  * Makefiles regenerated

2004-11-26 14:03  armin

	* ide/: Makefile, compiler/Makefile:
	
	* applied peters patch for cross compile (bin installation)

2004-11-22 20:34  peter <peter@freepascal.org>

	* ide/fpcompil.pas:
	
	  * GetHeapStatus added, removed MaxAvail,MemAvail,HeapSize

2004-11-21 21:53  peter <peter@freepascal.org>

	* ide/: fpconst.pas, fpdebug.pas, fpstre.inc:
	
	  * fixed breakpoint dialog

2004-11-21 10:32  florian <florian@freepascal.org>

	* ide/test.pas:
	
	  + added some float arrays

2004-11-20 15:21  florian <florian@freepascal.org>

	* ide/: fpcompil.pas, fpconst.pas, fpide.pas, fpstre.inc,
	fpviews.pas:
	
	  * implemented reload menu item
	  * increased file history to 9 files

2004-11-20 11:18  florian <florian@freepascal.org>

	* ide/fpcompil.pas:
	
	  * reduced status updates by making them time dependend

2004-11-20 11:10  florian <florian@freepascal.org>

	* ide/: fpstre.inc, fpstrh.inc, fpswitch.pas:
	
	  * renamed Delphi 2 extensions on to Object pascal support

2004-11-14 22:45  florian <florian@freepascal.org>

	* ide/: fp.pas, fpcompil.pas, fpide.pas, fpredir.pas, fpstre.inc,
	fpswitch.pas, fpviews.pas:
	
	  * fixed non working mouse after tools call
	  * better handling of source/target info
	  * more info in about dialog
	  * better info in compiler status dialiog

2004-11-11 16:20  florian <florian@freepascal.org>

	* ide/: Makefile, Makefile.fpc, fpdebug.pas, fpdesk.pas,
	fpregs.pas, fpviews.pas, windebug.pas:
	
	  * applied Peter's patch from yesterday

2004-11-09 17:47  peter <peter@freepascal.org>

	* ide/fpsymbol.pas:
	
	  * update for varsym changed

2004-11-08 22:55  peter <peter@freepascal.org>

	* ide/: fpdebug.pas, fpide.pas, fpmfile.inc, fpviews.pas:
	
	  * fixed run directory
	  * Open dialog starts in dir of last editted file

2004-11-08 21:28  peter <peter@freepascal.org>

	* ide/: fp.pas, fpcalc.pas, fpcatch.pas, fpcodcmp.pas,
	fpcodtmp.pas, fpcompil.pas, fpconst.pas, fpdebug.pas, fpdesk.pas,
	fphelp.pas, fpide.pas, fpini.pas, fpintf.pas, fpkeys.pas,
	fpmcomp.inc, fpmfile.inc, fpmopts.inc, fpmrun.inc, fpmwnd.inc,
	fpstre.inc, fpsymbol.pas, fptemplt.pas, fptools.pas, fpusrscr.pas,
	fpvars.pas, fpviews.pas, globdir.inc, wcedit.pas, weditor.pas,
	whlpview.pas, wviews.pas:
	
	  * Breakpoints are now deleted when removed from source, disabling
	is
	    still possible from the breakpoint list
	  * COMPILER_1_0, FVISION, GABOR defines removed, only support new
	    FV and 1.9.x compilers
	  * Run directory added to Run menu
	  * Useless programinfo window removed

2004-11-06 23:02  peter <peter@freepascal.org>

	* ide/: fpcompil.pas, fpide.pas, fpmwnd.inc:
	
	  * fixed resize helptext

2004-11-06 20:56  armin

	* ide/: fpredir.pas, wconsole.pas, whelp.pas:
	
	* support target netware

2004-11-06 18:22  peter <peter@freepascal.org>

	* ide/: fpcompil.pas, fpdebug.pas, fpviews.pas, globdir.inc,
	weditor.pas, wini.pas, wviews.pas:
	
	  * fixes for new fv

2004-11-05 20:10  peter <peter@freepascal.org>

	* ide/: Makefile, Makefile.fpc:
	
	  * report where libgdb.a is found

2004-11-05 17:39  peter <peter@freepascal.org>

	* ide/fpdesk.pas:
	
	  * uninitialized var

2004-11-05 14:25  peter <peter@freepascal.org>

	* ide/: Makefile, Makefile.fpc:
	
	libgdb now will be search in fpcdir

2004-11-05 13:48  peter <peter@freepascal.org>

	* ide/: Makefile, Makefile.fpc:
	
	finding of libgdb.a updated

2004-11-05 01:21  peter <peter@freepascal.org>

	* ide/: fp.pas, fpconst.pas, fpviews.pas:
	
	version info at startup

2004-11-05 01:00  peter <peter@freepascal.org>

	* ide/fpcompil.pas:
	
	set exefile after compilation, before the target_info is not filled

2004-11-05 00:59  peter <peter@freepascal.org>

	* ide/fpcygwin.pas:
	
	require current cygwin1.dll

2004-11-04 21:57  peter <peter@freepascal.org>

	* ide/fpide.pas:
	
	sysmsgs is always available

2004-11-04 12:46  peter <peter@freepascal.org>

	* ide/fpusrscr.pas:
	
	fixed compilation for new fvision

2004-11-03 13:36  florian <florian@freepascal.org>

	* ide/wansi.pas:
	
	  * fixed background clearing for large screens

2004-11-03 13:08  peter <peter@freepascal.org>

	* ide/weditor.pas:
	
	  * fixed newline broken by valgrind patch

2004-11-03 13:05  florian <florian@freepascal.org>

	* ide/: fpmcomp.inc, fpswitch.pas:
	
	  + supported targets are now read dynamically from the included
	compiler

2004-11-03 00:53  peter <peter@freepascal.org>

	* ide/: fpcompil.pas, fpdesk.pas, fpide.pas, weditor.pas, wini.pas,
	wnghelp.pas, wos2help.pas, wresourc.pas, wvphelp.pas, wwinhelp.pas:
	
	  * fixed crashes with ide and 1.9.x

2004-11-02 10:14  peter <peter@freepascal.org>

	* ide/: Makefile, Makefile.fpc:
	
	  * fix build with gdb

2004-10-30 14:36  peter <peter@freepascal.org>

	* ide/: Makefile, Makefile.fpc, compiler/Makefile,
	compiler/Makefile.fpc, fakegdb/Makefile, fakegdb/Makefile.fpc:
	
	  * units are now created in separate directory units/cpu-os/
	  * distclean uses cleanall rule and removes units dir
	  * cross compile support fixed, it is now possible to cycle a
	ppcsparc
	    without deleting ppc386
	  * bintutilsperfix defaults to cpu-os-

2004-09-21 16:55  armin

	* ide/fpredir.pas:
	
	* added uses windows for win32 (deleted that with my last change)

2004-09-19 16:51  armin

	* ide/: fpredir.pas, fpusrscr.pas, wconsole.pas:
	
	* added support for target netwlibc

2004-09-17 00:08  armin

	* ide/: whelp.pas, wutils.pas:
	
	* added target netwlibc

2004-09-16 18:20  peter <peter@freepascal.org>

	* ide/fpkeys.pas:
	
	  * illegal for-loop var assignemnt

2004-09-15 21:23  hajny <xhajt03@mbox.vol.cz>

	* ide/fpcatch.pas:
	
	  * corrections for debug mode

2004-09-14 22:46  hajny <xhajt03@mbox.vol.cz>

	* ide/fpswitch.pas:
	
	  * compilation fix - for loop counter issues

2004-09-09 22:33  jonas <jonas.maebe@rug.ac.be>

	* ide/fpcompil.pas:
	
	  * made CompilerStop declaration compliant to new tstopprocedure
	type in
	    compiler

2004-09-05 01:33  armin

	* ide/: Makefile, fpswitch.pas, compiler/Makefile,
	fakegdb/Makefile:
	
	* makefiles regenerated * ide: added target netwlibc

2004-07-10 01:17  peter <peter@freepascal.org>

	* ide/: fpdebug.pas, fpusrscr.pas:
	
	  * revert isatty patch

2004-07-09 22:23  daniel <daniel@deadlock.et.tudelft.nl>

	* ide/: fpdebug.pas, fpusrscr.pas:
	
	  * Fix compilation

2004-05-30 11:44  michael <michael.vancanneyt@wisa.be>

	* ide/Makefile:
	
	+ Version 1.9.4

2004-05-30 11:15  florian <florian@freepascal.org>

	* ide/Makefile.fpc:
	
	  * first part of version number update

2004-05-23 20:25  peter <peter@freepascal.org>

	* ide/: Makefile, compiler/Makefile, fakegdb/Makefile:
	
	  * regenerated

2004-05-03 23:12  peter <peter@freepascal.org>

	* ide/: fpviews.pas, wcedit.pas, wnghelp.pas:
	
	  * 64bit fixes

2004-05-03 23:09  peter <peter@freepascal.org>

	* ide/compiler/: Makefile, Makefile.fpc:
	
	  * x86_64 added

2004-04-21 01:37  olle

	* ide/: compiler/Makefile, fakegdb/Makefile:
	
	  * updated according to the new version of fpcmake.ini

2004-04-12 20:16  florian <florian@freepascal.org>

	* ide/: Makefile, Makefile.fpc:
	
	  * i386 compilation on debian biarch fixed

2004-03-20 23:02  florian <florian@freepascal.org>

	* ide/fpviews.pas:
	
	  * compilation on arm fixed

2004-03-15 16:50  peter <peter@freepascal.org>

	* ide/fpcalc.pas:
	
	  * no cdecl for go32v2 signalhandler

2004-03-09 13:08  marco <marcov@stack.nl>

	* ide/fpcalc.pas:
	
	 * fix calling convention sighandler

2004-03-08 01:07  marco <marcov@stack.nl>

	* ide/fpswitch.pas:
	
	 * Darwin target added

2004-03-04 06:37  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpcodcmp.pas:
	
	 * fix a possibly uninitiated var

2004-02-22 16:37  hajny <xhajt03@mbox.vol.cz>

	* ide/: Makefile, compiler/Makefile, fakegdb/Makefile:
	
	Makefiles regenerated

2004-02-20 22:46  peter <peter@freepascal.org>

	* ide/: fpdebug.pas, fpusrscr.pas:
	
	  * fix compile with 1.0.x

2004-02-13 07:53  pierre <muller@cerbere.u-strasbg.fr>

	* ide/weditor.pas:
	
	 * fix for webbug 2940

2004-02-13 07:26  pierre <muller@cerbere.u-strasbg.fr>

	* ide/wviews.pas:
	
	* try to fix webbug 2931 completely

2004-02-10 08:16  pierre <muller@cerbere.u-strasbg.fr>

	* ide/: weditor.pas, wviews.pas:
	
	* fix webbug 2932

2004-02-06 22:34  jonas <jonas.maebe@rug.ac.be>

	* ide/fpregs.pas:
	
	  * fixed ppc compilation error

2004-01-06 00:34  marco <marcov@stack.nl>

	* ide/: Makefile, compiler/Makefile, fakegdb/Makefile:
	
	 * regenerating the makefiles with some netbsd fixes + version
	upgrades

2004-01-06 00:29  marco <marcov@stack.nl>

	* ide/Makefile.fpc:
	
	 * fixed a few makefiles version numbers

2003-11-19 18:11  marco <marcov@stack.nl>

	* ide/: fpdebug.pas, fpusrscr.pas, wconsole.pas:
	
	 * termio unit

2003-11-17 11:05  marco <marcov@stack.nl>

	* ide/: fpdebug.pas, fpusrscr.pas:
	
	 * threads for FreeBSD. Not working tho

2003-11-14 22:52  marco <marcov@stack.nl>

	* ide/fpusrscr.pas:
	
	 * octal() is not necessary anymore. Use &xxx

2003-11-14 18:29  marco <marcov@stack.nl>

	* ide/fpcompil.pas:
	
	 * linuxerrorcide

2003-11-01 23:45  marco <marcov@stack.nl>

	* ide/Makefile.fpc:
	
	 * updated package version

2003-10-28 17:44  peter <peter@freepascal.org>

	* ide/: Makefile, compiler/Makefile, fakegdb/Makefile:
	
	  * regenerated

2003-10-27 16:58  peter <peter@freepascal.org>

	* ide/: Makefile, compiler/Makefile, fakegdb/Makefile:
	
	  * regenerated

2003-10-14 10:29  peter <peter@freepascal.org>

	* ide/fpredir.pas:
	
	  * go32v2 fixed

2003-10-13 15:30  peter <peter@freepascal.org>

	* ide/compiler/Makefile:
	
	  * regenerated

2003-10-13 13:20  marco <marcov@stack.nl>

	* ide/compiler/Makefile.fpc:
	
	 * killed support_mmx

2003-10-09 16:35  peter <peter@freepascal.org>

	* ide/: Makefile, compiler/Makefile, fakegdb/Makefile:
	
	  * regenerated

2003-10-04 15:48  marco <marcov@stack.nl>

	* ide/: Makefile, compiler/Makefile, fakegdb/Makefile:
	
	 * cross compiling fixes to makefile and fpcmake

2003-10-03 23:40  marco <marcov@stack.nl>

	* ide/: Makefile, compiler/Makefile, fakegdb/Makefile:
	
	 * CROSSCOMPILING stage 2

2003-10-03 19:29  florian <florian@freepascal.org>

	* ide/Makefile.fpc:
	
	  + id and log added

2003-10-02 10:50  marco <marcov@stack.nl>

	* ide/: Makefile, compiler/Makefile, fakegdb/Makefile:
	
	 * remake with new fpc param

2003-09-29 16:36  peter <peter@freepascal.org>

	* ide/: fp.pas, fpcalc.pas, fpcatch.pas, fpide.pas, fpredir.pas:
	
	  * win32 fixed

2003-09-27 16:03  peter <peter@freepascal.org>

	* ide/: fpcalc.pas, fpcatch.pas, fpredir.pas, fpusrscr.pas,
	whelp.pas, wutils.pas:
	
	  * fixed for unix

2003-09-25 18:49  peter <peter@freepascal.org>

	* ide/fpredir.pas:
	
	  * adapted for 1.1 unix

2003-06-19 17:20  pierre <muller@cerbere.u-strasbg.fr>

	* ide/wcedit.pas:
	
	 * add explicit typecast to OnDiskLoadTime assignments

2003-06-04 17:06  peter <peter@freepascal.org>

	* ide/fp.pas:
	
	  * histsize increased

2003-05-07 23:33  peter <peter@freepascal.org>

	* ide/fpviews.pas:
	
	  * 1.1 has rax86

2003-04-27 12:48  peter <peter@freepascal.org>

	* ide/compiler/: Makefile, Makefile.fpc:
	
	  * add -Ur so units won't be recompiled

2003-04-23 11:49  peter <peter@freepascal.org>

	* ide/fpcatch.pas:
	
	  * unix signal handler needs longint

2003-04-06 17:10  carl <carl@freepascal.org>

	* ide/: Makefile, Makefile.fpc:
	
	  * Update package versions to 1.0.8

2003-04-01 18:09  peter <peter@freepascal.org>

	* ide/: Makefile, compiler/Makefile, fakegdb/Makefile:
	
	  * regenerated

2003-03-30 14:12  armin

	* ide/fpdebug.pas:
	
	* allow local and remote debugging if SUPPORT_REMOTE is given

2003-03-30 01:03  hajny <xhajt03@mbox.vol.cz>

	* ide/: compiler/Makefile, fakegdb/Makefile, Makefile:
	
	  * Makefiles regenerated with corrected fpcmake

2003-03-28 10:55  armin

	* ide/fpcompil.pas:
	
	* Fixed TCompilerMessageWindow.AddMessage to see line numbers with
	1.1

2003-03-28 10:52  armin

	* ide/whtmlhlp.pas:
	
	* changed -1 to sw_word(-1) for textend to compile with 1.1

2003-03-27 15:37  pierre <muller@cerbere.u-strasbg.fr>

	* ide/: whtml.pas, whtmlhlp.pas:
	
	 * try to enhance dispaly of new html docs

2003-03-27 15:11  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpcompil.pas:
	
	 * fix problem in CompilerComment procedure

2003-03-27 15:10  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpdebug.pas:
	
	 * fix problem with mixed case target names as suggested by Armin
	Diehl

2003-03-24 00:51  hajny <xhajt03@mbox.vol.cz>

	* ide/: Makefile, compiler/Makefile, fakegdb/Makefile:
	
	  + emx target added

2003-02-10 00:50  pierre <muller@cerbere.u-strasbg.fr>

	* ide/: fpswitch.pas, fpviews.pas, globdir.inc:
	
	 + i386 openbsd target added

2003-02-04 23:05  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpusrscr.pas:
	
	 * fix bug 2253

2003-01-31 13:04  pierre <muller@cerbere.u-strasbg.fr>

	* ide/weditor.pas:
	
	 * try to fix the selection extension better

2003-01-31 12:01  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpide.pas:
	
	 * fix a bug in cmQuitApp handling

2003-01-29 01:30  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fp.pas:
	
	 * load CheckMem as first if EXTDEBUG is defined

2003-01-29 01:29  pierre <muller@cerbere.u-strasbg.fr>

	* ide/weditor.pas:
	
	 * attempt to fix webbugs 2346-2348

2003-01-28 17:53  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fp.pas:
	
	 * only include fpcygwin if libgdb is linked in

2003-01-28 17:53  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpcygwin.pas:
	
	 * fix typo bug

2003-01-28 17:52  pierre <muller@cerbere.u-strasbg.fr>

	* ide/: Makefile, Makefile.fpc:
	
	 + add -dWITH_GDB to compile IDE if libgdb.a is found

2003-01-22 01:27  pierre <muller@cerbere.u-strasbg.fr>

	* ide/: fpconst.pas, fphelp.pas, fpstre.inc, fpviews.pas:
	
	 * implement reloadfile if changed

2003-01-21 12:03  pierre <muller@cerbere.u-strasbg.fr>

	* ide/weditor.pas:
	
	 * fix problem with Paste from Menu web bug 2173

2003-01-18 02:36  pierre <muller@cerbere.u-strasbg.fr>

	* ide/whlpview.pas:
	
	 * fix web bug 1649

2003-01-16 15:53  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpcodtmp.pas:
	
	 * avoid crash if opening empty Code Template dialog

2003-01-14 22:15  peter <peter@freepascal.org>

	* ide/: Makefile, compiler/Makefile, fakegdb/Makefile:
	
	  * regenerated

2003-01-14 17:25  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpdebug.pas:
	
	 + small palmos specific additions

2003-01-14 17:24  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fp.pas:
	
	 * only insert win32 resource if IncRes is defined

2003-01-14 17:24  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpstre.inc:
	
	 + msg_connectingto added

2003-01-13 10:05  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpcompil.pas:
	
	 * fix error in last commit

2003-01-11 16:52  peter <peter@freepascal.org>

	* ide/fpcompil.pas:
	
	  * adapted for new 1.1 compiler verbosity

2003-01-07 16:01  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpw32.rc:
	
	 * fix some fields

2003-01-07 01:29  pierre <muller@cerbere.u-strasbg.fr>

	* ide/: fp.pas, fpw32.rc:
	
	 + win32 version infos

2002-12-26 21:27  hajny <xhajt03@mbox.vol.cz>

	* ide/: fp32.ico, fp32.rc:
	
	  + Win32 icon added

2002-12-18 17:10  pierre <muller@cerbere.u-strasbg.fr>

	* ide/wcedit.pas:
	
	 * fix bug report 2205

2002-12-18 02:19  pierre <muller@cerbere.u-strasbg.fr>

	* ide/: fpcodcmp.pas, fpdebug.pas, fptools.pas, fpmopts.inc,
	fpmrun.inc, fpmsrch.inc, fpmtools.inc:
	
	 + Use TEditorInputLine instead of TInputLine

2002-12-18 02:18  pierre <muller@cerbere.u-strasbg.fr>

	* ide/weditor.pas:
	
	 + Cut/Copy/Paste added to TEditorInputLine

2002-12-17 14:48  pierre <muller@cerbere.u-strasbg.fr>

	* ide/weditor.pas:
	
	 * fix web bug 2012

2002-12-16 16:51  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpregs.pas:
	
	 * added unknown cpu register windows

2002-12-16 16:16  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpviews.pas:
	
	 * try to fix the moving of breakpoints

2002-12-16 16:15  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpdebug.pas:
	
	 * Added TBreakpointCollection.FindBreakpointAt method

2002-12-16 16:14  pierre <muller@cerbere.u-strasbg.fr>

	* ide/wcedit.pas:
	
	 * moved OnDiskLoadTime to Core

2002-12-16 16:13  pierre <muller@cerbere.u-strasbg.fr>

	* ide/weditor.pas:
	
	 + added some missing word separator chars

2002-12-16 10:06  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpmrun.inc:
	
	 * don't insert breakpoints in unsaved sources

2002-12-16 10:05  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpdebug.pas:
	
	 * sanity ceck in ToggleFileLine method

2002-12-15 15:08  peter <peter@freepascal.org>

	* ide/fpswitch.pas:
	
	  * more stable default target setting

2002-12-12 01:09  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpviews.pas:
	
	 * move line breakpoints if lines added or deleted in editor window

2002-12-12 01:06  pierre <muller@cerbere.u-strasbg.fr>

	* ide/: fpide.pas, fpvars.pas, fp.pas:
	
	 Use fpregs unit

2002-12-12 01:05  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpdebug.pas:
	
	 * add code for breakpoint moves + registers in fprags.pas unit

2002-12-12 01:03  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpini.pas:
	
	 * fix problem with breakpoint conditions that showed up again
	after exit

2002-12-12 01:01  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpregs.pas:
	
	  Register window code separated in a new unit

2002-12-02 14:58  pierre <muller@cerbere.u-strasbg.fr>

	* ide/: fpcompil.pas, test.pas, test2.pas:
	
	 * avoid longjmp messages if quitting after compilation error

2002-12-02 02:00  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpsymbol.pas:
	
	 + Alt+I to disassemble a function from browser window

2002-11-30 02:56  pierre <muller@cerbere.u-strasbg.fr>

	* ide/: fpdebug.pas, fpswitch.pas, fpviews.pas:
	
	 + powerpc cpu support started

2002-11-30 02:55  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpstre.inc:
	
	 * fix a wrongly highlighted string

2002-11-30 02:53  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpconst.pas:
	
	 + cross-powerpc specific filenames

2002-11-28 14:00  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpdebug.pas:
	
	 + remote support

2002-11-28 13:58  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpide.pas:
	
	 + remote support additions

2002-11-28 13:57  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fphelp.pas:
	
	 * new hints for remote addition

2002-11-28 13:57  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpmdebug.inc:
	
	 + TransferRemote method added

2002-11-28 13:56  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpmopts.inc:
	
	 + Remote dialog added

2002-11-28 13:55  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpstre.inc:
	
	 + added strings for remote support

2002-11-28 13:55  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpini.pas:
	
	 + save/retrieve remote support variables

2002-11-28 13:53  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fputils.pas:
	
	 * fix implementation of ReplaceStrI function

2002-11-28 13:53  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpvars.pas:
	
	 + global vars used for remote debugging

2002-11-28 13:52  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpconst.pas:
	
	 * cross cpu IDE use different config/ini and cfg files

2002-11-28 13:50  pierre <muller@cerbere.u-strasbg.fr>

	* ide/globdir.inc:
	
	 * CROSSGDB defines SUPPORT_REMOTE

2002-11-28 13:49  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fp.pas:
	
	 * enable signals catching earlier

2002-11-28 09:44  pierre <muller@cerbere.u-strasbg.fr>

	* ide/wwinhelp.pas:
	
	 * Correct the wrong code commented out by last commit

2002-11-27 21:07  peter <peter@freepascal.org>

	* ide/wwinhelp.pas:
	
	  * removed wrong fillchar statement

2002-11-24 17:31  peter <peter@freepascal.org>

	* ide/: Makefile, compiler/Makefile, fakegdb/Makefile:
	
	  * regenarated

2002-11-22 16:18  pierre <muller@cerbere.u-strasbg.fr>

	* ide/whelp.pas:
	
	 * fix SwapWord, arg must be of var type

2002-11-22 13:21  pierre <muller@cerbere.u-strasbg.fr>

	* ide/woahelp.pas:
	
	 + Use SwapLongint and SwapWord for big endian machines

2002-11-22 13:21  pierre <muller@cerbere.u-strasbg.fr>

	* ide/whelp.pas:
	
	 + SwapLongint and SwapWord added for big endian machines

2002-11-21 18:52  pierre <muller@cerbere.u-strasbg.fr>

	* ide/: fpdebug.pas, fpstre.inc:
	
	 * some crossgdb infos added

2002-11-21 16:48  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpdebug.pas:
	
	 * fix several problems related to remote cross debugging

2002-11-21 01:37  pierre <muller@cerbere.u-strasbg.fr>

	* ide/: fpdebug.pas, fpini.pas, fpmopts.inc, fpstre.inc,
	fpswitch.pas:
	
	 + some cross gdb enhancements

2002-11-20 18:35  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpcompil.pas:
	
	 * use target_os.ExeExt for compiled executable

2002-10-30 23:12  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fp.pas:
	
	 * use ppheap with IDEHEAPTRC conditional

2002-10-30 23:07  pierre <muller@cerbere.u-strasbg.fr>

	* ide/: fpmdebug.inc, fpusrscr.pas:
	
	 * only handle direction keys specially if buffer is bigger than
	window

2002-10-30 22:53  pierre <muller@cerbere.u-strasbg.fr>

	* ide/compiler/compunit.pas:
	
	 * also compile ppheap unit

2002-10-23 21:19  hajny <xhajt03@mbox.vol.cz>

	* ide/fpcompil.pas:
	
	  * another bunch of missing HasSignal conditionals

2002-10-23 20:01  hajny <xhajt03@mbox.vol.cz>

	* ide/fpini.pas:
	
	  * mistyping fixed

2002-10-18 19:58  hajny <xhajt03@mbox.vol.cz>

	* ide/fpini.pas:
	
	  * added missing include

2002-10-12 21:43  hajny <xhajt03@mbox.vol.cz>

	* ide/: fp.pas, fpide.pas, fpmfile.inc, fpmrun.inc:
	
	  * missing HasSignal conditionals added (needed for FPC/2)

2002-10-12 21:42  hajny <xhajt03@mbox.vol.cz>

	* ide/wconsole.pas:
	
	  + OS/2 support

2002-10-12 21:41  hajny <xhajt03@mbox.vol.cz>

	* ide/fpusrscr.pas:
	
	  * dummy OS/2 implementation to enable compilation

2002-10-07 17:43  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpusrscr.pas:
	
	 * set TTYFd to -1 in TLinuxScreen constructor

2002-10-04 17:23  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpintf.pas:
	
	 * don't use tpexcept anymore

2002-09-26 22:45  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fptemplt.pas:
	
	 * fix webbug 2102-C

2002-09-26 17:00  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpcompil.pas:
	
	 * fix problems with system unit is not present for __fp__
	compilation

2002-09-26 15:00  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpcodcmp.pas:
	
	 * avoid RTE 213

2002-09-26 00:02  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpusrscr.pas:
	
	 * fix compilation error

2002-09-22 00:23  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpdebug.pas:
	
	 * restore text mode on reset for Dos apps

2002-09-22 00:22  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpusrscr.pas:
	
	 * new Restore method added, used for dos graphic applications

2002-09-20 00:15  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpviews.pas:
	
	 * fix compilation failure for m68k target

2002-09-17 23:58  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpdebug.pas:
	
	 * correct last fpu patch so 'info all' is called only once

2002-09-17 23:48  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpdebug.pas:
	
	 * allow fpu window to be resized

2002-09-17 23:20  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpdebug.pas:
	
	 * fix infinite recursion if GDB window and register window open

2002-09-14 00:30  pierre <muller@cerbere.u-strasbg.fr>

	* ide/: fpcompil.pas, fpdebug.pas:
	
	 * only fpc uses video unit

2002-09-14 00:28  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpviews.pas:
	
	 * Update copyright

2002-09-14 00:27  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpusrscr.pas:
	
	 * fix several problems with go32v2 graphic support

2002-09-13 10:15  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpusrscr.pas:
	
	 * fix cursor position for linux vcsa support

2002-09-13 10:13  pierre <muller@cerbere.u-strasbg.fr>

	* ide/: fpcalc.pas, fpdebug.pas:
	
	 * avoid RTE 201 in hexstr calls

2002-09-13 09:17  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpusrscr.pas:
	
	 + use vcsa for linux console

2002-09-13 09:16  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpide.pas:
	
	 * avoid RTE 201 if closing file with position outside integer
	bounds

2002-09-13 00:09  pierre <muller@cerbere.u-strasbg.fr>

	* ide/wcedit.pas:
	
	 * reset modified flag, web bug 1262

2002-09-13 00:07  pierre <muller@cerbere.u-strasbg.fr>

	* ide/: fpviews.pas, globdir.inc:
	
	 * Enable go32v2 graph support in fixes branchfpusrscr.pas

2002-09-12 10:49  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpviews.pas:
	
	 * fix typo bug in last commit

2002-09-12 10:42  pierre <muller@cerbere.u-strasbg.fr>

	* ide/: fpviews.pas, weditor.pas:
	
	 * removed lots of unnecessary copies of strings for syntax
	highlighting

2002-09-11 15:12  pierre <muller@cerbere.u-strasbg.fr>

	* ide/: fpcodcmp.pas, fpconst.pas:
	
	 * fix CodeComplete loading and use a unit for standard units code
	complete

2002-09-11 15:11  pierre <muller@cerbere.u-strasbg.fr>

	* ide/weditor.pas:
	
	 * speed up by using fixed char sets in GetCharClass

2002-09-11 14:10  pierre <muller@cerbere.u-strasbg.fr>

	* ide/wutils.pas:
	
	 * fix bug in new readline method on line overflow

2002-09-11 13:23  pierre <muller@cerbere.u-strasbg.fr>

	* ide/: fpviews.pas, weditor.pas:
	
	 * more changes to speed syntax highlighting up

2002-09-11 12:05  pierre <muller@cerbere.u-strasbg.fr>

	* ide/: fpviews.pas, weditor.pas:
	
	 * try to speed up syntax highlighting

2002-09-11 10:39  pierre <muller@cerbere.u-strasbg.fr>

	* ide/weditor.pas:
	
	 * avoid lots of useless calls by reordering conditions in
	DoUpdateAttrs

2002-09-11 10:30  pierre <muller@cerbere.u-strasbg.fr>

	* ide/wutils.pas:
	
	 * avoid a lot of useless calls in readline method

2002-09-10 14:19  pierre <muller@cerbere.u-strasbg.fr>

	* ide/: fp.pas, fpvars.pas, weditor.pas, wutils.pas:
	
	 * use faster method for loading files by default

2002-09-09 09:06  pierre <muller@cerbere.u-strasbg.fr>

	* ide/wviews.pas:
	
	 * avoid a int64 warning

2002-09-09 08:59  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fp.pas:
	
	 * new debug options added

2002-09-09 08:58  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpide.pas:
	
	 + adapted to FastBufStream.readline method

2002-09-09 08:58  pierre <muller@cerbere.u-strasbg.fr>

	* ide/: wutils.pas, wcedit.pas, weditor.pas:
	
	 + FastBufStream.readline method added

2002-09-09 08:53  pierre <muller@cerbere.u-strasbg.fr>

	* ide/: fpcodcmp.pas, fpcompil.pas:
	
	 * avoid to save file used by codecomplete

2002-09-09 08:23  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpcodtmp.pas:
	
	 + header and log added

2002-09-09 08:22  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpcodcmp.pas:
	
	 * get it to load old and new desktops

2002-09-07 23:04  carl <carl@freepascal.org>

	* ide/: fpcatch.pas, fpdebug.pas, fpusrscr.pas:
	
	  * fix range check errors for version 1.1 compilation

2002-09-07 17:40  peter <peter@freepascal.org>

	* ide/: README, fp.ans, fp.pas, fpcalc.pas, fpcatch.pas,
	fpcompil.pas, fpconst.pas, fpdebug.pas, fpdesk.pas, fpdpansi.pas,
	fphelp.pas, fpide.pas, fpini.pas, fpintf.pas, fpkeys.pas,
	fpmansi.inc, fpmcomp.inc, fpmdebug.inc, fpmedit.inc, fpmfile.inc,
	fpmhelp.inc, fpmopts.inc, fpmrun.inc, fpmsrch.inc, fpmtools.inc,
	fpmwnd.inc, fpredir.pas, fpstre.inc, fpstrh.inc, fpstring.pas,
	fpswitch.pas, fpsymbol.pas, fptemplt.pas, fptools.pas,
	fpusrscr.pas, fputils.pas, fpvars.pas, fpviews.pas, gplprog.pt,
	gplunit.pt, pmode.pas, program.pt, unit.pt, vesa.pas, wansi.pas,
	wcedit.pas, wconsole.pas, wconsts.pas, wconstse.inc, wconstsh.inc,
	weditor.pas, whelp.pas, whlpview.pas, whtml.pas, whtmlhlp.pas,
	whtmlscn.pas, winclip.pas, wini.pas, wnghelp.pas, wos2help.pas,
	wresourc.pas, wtphwrit.pas, wutils.pas, wviews.pas, wvphelp.pas,
	wwinhelp.pas, compiler/Makefile.fpc, compiler/compunit.pas,
	fakegdb/gdbcon.pas, fakegdb/gdbint.pas, utils/tphc.pas:
	
	  * old logs removed and tabs fixed

2002-09-07 14:23  carl <carl@freepascal.org>

	* ide/compiler/: Makefile, Makefile.fpc:
	
	  * update makefiles for new directory structure in main branch

2002-09-06 11:53  pierre <muller@cerbere.u-strasbg.fr>

	* ide/wutils.pas:
	
	 * explicitly set BasePos to zero in TFastBufStream constructor

2002-09-05 12:57  pierre <muller@cerbere.u-strasbg.fr>

	* ide/: fpviews.pas, test.pas:
	
	 * fix small bug in previous commit

2002-09-05 12:49  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpviews.pas:
	
	 + FindMatchingDelimiter for pascal keywords with level counting

2002-09-05 10:45  pierre <muller@cerbere.u-strasbg.fr>

	* ide/: fpcompil.pas, fpmrun.inc:
	
	 * try to fix recompilation on changes problems

2002-09-05 07:59  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpcodcmp.pas:
	
	 * get units code complete to also work if browser disabled

2002-09-05 07:58  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpviews.pas:
	
	 + use '*' as special name for noload and also no 'nonamexx.pas
	title

2002-09-04 17:14  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpcodcmp.pas:
	
	 * fix a second bug in CodeCompleteDialog

2002-09-04 16:42  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpcodcmp.pas:
	
	 * fix a bug in CodeCompleteDialog

2002-09-04 16:07  pierre <muller@cerbere.u-strasbg.fr>

	* ide/: fp.pas, fpcodcmp.pas, fpcompil.pas:
	
	 + Enhance code complete by inserting unit symbols

2002-09-04 16:06  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpvars.pas:
	
	 + new variables for Unit symbols code complete

2002-09-04 16:03  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpdesk.pas:
	
	 * MinDesktopVersion increased because of CodeComplete changes

2002-09-04 16:02  pierre <muller@cerbere.u-strasbg.fr>

	* ide/weditor.pas:
	
	 * changed CodeCompleteMinLen type from a const to a variable

2002-09-04 10:52  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpmopts.inc:
	
	 * adapt to fpcodtmp interface change

2002-09-04 10:52  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpcodtmp.pas:
	
	 * try to enhance CodeTemplate behavior

2002-09-04 10:50  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpviews.pas:
	
	 * TranslateCodeTemplate Shortcut is now a var parameter

2002-09-04 10:39  pierre <muller@cerbere.u-strasbg.fr>

	* ide/weditor.pas:
	
	 * only suppress current word in CodeTemplate if it matches
	Template name

2002-09-04 10:35  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpusrscr.pas:
	
	 * remember IDE screen mode for win32
	   to avoid videobuf writes after allocated size.

2002-09-03 15:59  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpdebug.pas:
	
	 + added history for watches and breakpoints

2002-09-03 15:59  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpmdebug.inc:
	
	 * don't use LowerCaseStr for AddWatch as it confuses line
	completion

2002-09-03 15:58  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpide.pas:
	
	 * fix bug about Recent file list not updated correctly when
	opening a file from the list

2002-09-03 15:57  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpconst.pas:
	
	 + hidWatchDialog and hidBreakpointDialog added

2002-09-03 15:56  pierre <muller@cerbere.u-strasbg.fr>

	* ide/weditor.pas:
	
	 * declare TEditorInputLine in interface and use it in Replace
	dialog

2002-09-03 13:50  pierre <muller@cerbere.u-strasbg.fr>

	* ide/wcedit.pas:
	
	 * Indicator like in BP, web bug 1945

2002-09-03 07:45  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpusrscr.pas:
	
	 * fix compilation without DEBUG conditional

2002-09-02 12:33  pierre <muller@cerbere.u-strasbg.fr>

	* ide/weditor.pas:
	
	 * fix web bug report 2099

2002-09-02 12:18  pierre <muller@cerbere.u-strasbg.fr>

	* ide/: fpconst.pas, fpdebug.pas, fpstre.inc:
	
	 * fix problems with breakpoint lists

2002-09-02 11:29  pierre <muller@cerbere.u-strasbg.fr>

	* ide/: fpusrscr.pas, globdir.inc:
	
	 + new test code for go32v2 graphic screen saves (only with
	-dDEBUG)

2002-09-02 11:27  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpmdebug.inc:
	
	 * avoid 100 CPU usage when AltF5 is used

2002-08-29 12:06  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpmtools.inc:
	
	 * adapt to changes in fptools.pas unit
	 + support $CAP_MSG() without filter

2002-08-29 12:05  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fptools.pas:
	
	  +  InitToolProcessing new procedure to set default values only
	once.
	  * handle 'on' 'off' '0' or '1' in value or default lines for
	checkboxes

2002-08-29 11:59  pierre <muller@cerbere.u-strasbg.fr>

	* ide/cvsco.tdf:
	
	 * remove CVS: line as it is not suppressed at
	   server side.

2002-08-29 11:58  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpmfile.inc:
	
	 * remove wrong log line

2002-08-29 11:52  pierre <muller@cerbere.u-strasbg.fr>

	* ide/cvsdiff.tdf:
	
	 + New file to generate a diff for an edited source within the IDE

2002-08-29 11:46  pierre <muller@cerbere.u-strasbg.fr>

	* ide/cvsco.tdf:
	
	CVS: test  * correct behavior for memo field

2002-08-29 11:31  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpmfile.inc:
	
	CVS Enter log comment for commit  * set modified flag to false
	before prompt	 dialog are executed in NewFromTemplate

2002-08-29 09:59  pierre <muller@cerbere.u-strasbg.fr>

	* ide/wutils.pas:
	
	CVS: Enter log comment for commit  + SizeOfFile function added

2002-08-26 16:00  pierre <muller@cerbere.u-strasbg.fr>

	* ide/weditor.pas:
	
	 * fix for bug report 2025

2002-08-26 15:40  pierre <muller@cerbere.u-strasbg.fr>

	* ide/wcedit.pas:
	
	 * fix for bug report 2000

2002-08-26 15:03  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpcompil.pas:
	
	 + add a lock to speed up parsing of userscreen

2002-08-26 15:02  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpide.pas:
	
	 * avoid a crash with fvision

2002-08-26 15:01  pierre <muller@cerbere.u-strasbg.fr>

	* ide/: weditor.pas, wcedit.pas:
	
	 + fill the Now field for Editor actions

2002-08-26 15:00  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpviews.pas:
	
	 * fix bug report 2094 by restoring nonamexx.pas name if file name
	is incorrect

2002-08-13 10:59  pierre <muller@cerbere.u-strasbg.fr>

	* ide/: fpdebug.pas, fpide.pas, fpmrun.inc:
	
	 + Run menu changes depending on wether the debuggee is running or
	not

2002-08-13 10:57  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpstre.inc:
	
	 + Continue string added, to support Run submenu changes

2002-08-13 09:15  pierre <muller@cerbere.u-strasbg.fr>

	* ide/: fpdebug.pas, fpstre.inc:
	
	 + Disable all invalid breakpoints feature added

2002-08-13 09:12  pierre <muller@cerbere.u-strasbg.fr>

	* ide/: fpini.pas, wviews.pas:
	
	 * use normal strings for ChoiceBox function

2002-08-01 14:39  marco <marcov@stack.nl>

	* ide/Makefile:
	
	 * fix

2002-08-01 14:28  marco <marcov@stack.nl>

	* ide/: compiler/Makefile, fakegdb/Makefile:
	
	 * Some more OpenBSD fixes.

2002-07-30 15:46  marco <marcov@stack.nl>

	* ide/: Makefile, compiler/Makefile, fakegdb/Makefile:
	
	 * OpenBSD makefile fixes

2002-07-22 23:01  florian <florian@freepascal.org>

	* ide/compiler/: Makefile, Makefile.fpc:
	
	  + path to dir x86 added

2002-07-12 16:17  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpide.pas:
	
	 * try to avoid memory corruption if UserScreen is smaller than IDE
	screen on win32

2002-06-13 16:50  pierre <muller@cerbere.u-strasbg.fr>

	* ide/weditor.pas:
	
	 * try to improove tabs handling in DelChar and InsertLine methods

2002-06-13 13:52  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpviews.pas:
	
	 * try to avoid crash with fvision library

2002-06-13 13:18  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpusrscr.pas:
	
	 + xterm window switching support

2002-06-13 12:54  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpviews.pas:
	
	 * avoid random colors in Screen view

2002-06-10 21:26  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpdebug.pas:
	
	 * check if DebuggeTTY is a valid terminal

2002-06-10 10:12  pierre <muller@cerbere.u-strasbg.fr>

	* ide/: fpide.pas, globdir.inc:
	
	 * System messages must be handled by the application directly

2002-06-07 16:09  pierre <muller@cerbere.u-strasbg.fr>

	* ide/: fpmwnd.inc, fpusrscr.pas:
	
	 * try to get resizing to work

2002-06-06 16:11  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpdebug.pas:
	
	 * handle win32 Ctrl-C change for graphic version

2002-06-06 16:10  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpusrscr.pas:
	
	 * allow window input for fvsion system messages

2002-06-06 10:16  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpdebug.pas:
	
	 * avoid crashes if quitting while debuggee is running

2002-06-06 10:15  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpviews.pas:
	
	 * fix GDBwindow indicator bug

2002-06-06 09:04  pierre <muller@cerbere.u-strasbg.fr>

	* ide/weditor.pas:
	
	 * use inherited ResetCursor for fvision lib

2002-06-06 08:46  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpusrscr.pas:
	
	 * No videobuffer switch necessary for fvision win32 graphic
	version

2002-06-01 22:08  marco <marcov@stack.nl>

	* ide/: fpswitch.pas, fpviews.pas, globdir.inc:
	
	 * Renamefest

2002-05-31 14:37  pierre <muller@cerbere.u-strasbg.fr>

	* ide/: fpdesk.pas, fpviews.pas:
	
	 + register asciitable char

2002-05-31 14:33  pierre <muller@cerbere.u-strasbg.fr>

	* ide/weditor.pas:
	
	 * fix fvision dialog problem due to DataSize differences

2002-05-31 00:01  pierre <muller@cerbere.u-strasbg.fr>

	* ide/weditor.pas:
	
	 * fix ResetCursor for fvision

2002-05-30 17:03  pierre <muller@cerbere.u-strasbg.fr>

	* ide/: fpide.pas, fpmwnd.inc, test.pas:
	
	 + ResizeApplication pethod for fvision

2002-05-30 17:02  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpviews.pas:
	
	 * avoid ugly border draw on windows without owners in fvision

2002-05-30 00:39  pierre <muller@cerbere.u-strasbg.fr>

	* ide/vesa.pas:
	
	 + FreeVesaModes

2002-05-30 00:38  pierre <muller@cerbere.u-strasbg.fr>

	* ide/: fpide.pas, fpmtools.inc, fpviews.pas:
	
	 Asciitab now in fvision

2002-05-30 00:33  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpvars.pas:
	
	 Asciitab now in fvision

2002-05-30 00:29  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fp.pas:
	
	 Asciitab now in fvision

2002-05-24 23:15  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpviews.pas:
	
	 * add FV suffix in About dialog if using FVision library

2002-05-13 15:44  peter <peter@freepascal.org>

	* ide/wutils.pas:
	
	  * fixed range error

2002-04-25 15:34  pierre <muller@cerbere.u-strasbg.fr>

	* ide/: fpide.pas, fpusrscr.pas:
	
	 * fix the disappearing desktop for win32

2002-04-25 15:33  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpdebug.pas:
	
	 * fix the problem with dirs containing asterisks

2002-04-23 12:11  pierre <muller@cerbere.u-strasbg.fr>

	* ide/whtmlscn.pas:
	
	 * try to adapt .htx files to system DirSep

2002-04-23 11:55  pierre <muller@cerbere.u-strasbg.fr>

	* ide/: whtmlhlp.pas, whtmlscn.pas:
	
	  + added lastsynonym and InNameAnchor fields to
	TCustomHTMLLinkScanner
	    these allow to eliminate double index entries pointing to the
	same
	    html file location (which had two different names).

2002-04-20 22:27  pierre <muller@cerbere.u-strasbg.fr>

	* ide/wcedit.pas:
	
	 * avoid considering grouped action if StoreUnfo is false

2002-04-17 13:11  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpdebug.pas:
	
	  * avoid problems for ClassVariable in Watches window

2002-04-17 13:10  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpviews.pas:
	
	 * fix last commit for corss compilation fir 1.1 IDE from 1.0.6

2002-04-16 20:12  carl <carl@freepascal.org>

	* ide/fpviews.pas:
	
	+ compilation problems bugfixes

2002-04-16 11:27  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpcygwin.pas:
	
	 * fix snapshot creation error

2002-04-16 10:27  pierre <muller@cerbere.u-strasbg.fr>

	* ide/: wcedit.pas, weditor.pas:
	
	 * fix for bug report 1869

2002-04-12 13:28  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fp.pas:
	
	 + use fpcygwin unit for win32 debug IDE

2002-04-12 13:19  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpcygwin.pas:
	
	 New unit to get cygwin1.dll version info and warn if old version

2002-04-12 11:00  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fp.pas:
	
	 * enhance internal error handling

2002-04-12 10:59  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpstre.inc:
	
	 + two new dialogs in case of internal errors

2002-04-12 10:59  pierre <muller@cerbere.u-strasbg.fr>

	* ide/wviews.pas:
	
	 + new function OKCancelBox added

2002-04-12 10:58  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpide.pas:
	
	 + add RTE(250) for Ctrl+F11 in DEBUG mode

2002-04-11 09:06  pierre <muller@cerbere.u-strasbg.fr>

	* ide/whtmlscn.pas:
	
	 + recreate the full target of an anchor that only has a NAME field

2002-04-11 09:04  pierre <muller@cerbere.u-strasbg.fr>

	* ide/whtmlhlp.pas:
	
	 + handle tables

2002-04-11 08:42  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpswitch.pas:
	
	 * Add allow spaces for directories entries

2002-04-11 08:41  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpdebug.pas:
	
	 * fix problem of TWatchesListBox with fvision

2002-04-11 00:41  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpswitch.pas:
	
	 * remove switches that have no command line option

2002-04-11 00:38  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpmfile.inc:
	
	 * allow to open non existant file

2002-04-11 00:37  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpcompil.pas:
	
	 * save and restore Exitproc if LongJmp called

2002-04-03 08:18  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpdebug.pas:
	
	 * fix some win32 GDB filename problems

2002-04-02 17:09  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpdebug.pas:
	
	 * fixed wrong exit without unlock

2002-04-02 16:06  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpini.pas:
	
	 * avoid a problem if resetting debuggee redirection

2002-04-02 15:23  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpdebug.pas:
	
	 * Use StrToCard and HexToCard functions to avoid signed/unsigned
	overflows

2002-04-02 15:23  pierre <muller@cerbere.u-strasbg.fr>

	* ide/wutils.pas:
	
	 + HextToCard StrToCard new functions

2002-04-02 14:20  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpdebug.pas:
	
	 * fix problem with breakpoints in subdirs

2002-04-02 13:17  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpviews.pas:
	
	 * Use new SetWidth method for GDB window

2002-04-02 13:10  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpdebug.pas:
	
	 * fix FPC_BREAK_ERROR problem and avoid blinking J

2002-03-28 17:32  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fp.pas:
	
	 * clearscrenn at exit for unix

2002-03-28 17:25  peter <peter@freepascal.org>

	* ide/fpconst.pas:
	
	  * use < for left arrow under unix

2002-03-27 12:24  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpdebug.pas:
	
	 * fix several problems related to long file nmze support for win32
	exes

2002-03-27 12:23  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpstre.inc:
	
	 + add a title to the Breakpoint dialog type checkbox

2002-03-27 12:22  pierre <muller@cerbere.u-strasbg.fr>

	* ide/windebug.pas:
	
	 * fix problems for updating Debuggee title if Ctrl-C pressed

2002-03-25 15:42  pierre <muller@cerbere.u-strasbg.fr>

	* ide/whtml.pas:
	
	 * also call DocTableXXX at end tag

2002-03-25 15:37  pierre <muller@cerbere.u-strasbg.fr>

	* ide/whlpview.pas:
	
	 +handle hscDirect

2002-03-25 15:37  pierre <muller@cerbere.u-strasbg.fr>

	* ide/whelp.pas:
	
	 + hscDirect added

2002-03-25 12:51  pierre <muller@cerbere.u-strasbg.fr>

	* ide/: fpdpansi.pas, wansi.pas:
	
	 * Escape Escape and chars ord(char)<=16

2002-03-22 17:43  pierre <muller@cerbere.u-strasbg.fr>

	* ide/wutils.pas:
	
	 * avoid that constructor is proposed for code complete if const is
	given

2002-03-20 18:16  pierre <muller@cerbere.u-strasbg.fr>

	* ide/whtmlhlp.pas:
	
	 * correct some ansii file conversion problems

2002-03-20 18:10  pierre <muller@cerbere.u-strasbg.fr>

	* ide/whlpview.pas:
	
	 * avoid to cut a part of an image

2002-03-20 15:56  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fp.pas:
	
	 * correct last commit

2002-03-20 15:53  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fp.pas:
	
	 + rescue handlers in main loop

2002-03-20 15:52  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpstre.inc:
	
	 + rescue dialogs for main loop

2002-03-20 15:52  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpide.pas:
	
	 + deliberatly generate a SIGSEGV if Alt+F11 is pressed (DEBUG
	code)

2002-03-20 15:48  pierre <muller@cerbere.u-strasbg.fr>

	* ide/: fpcatch.pas, fpcompil.pas:
	
	 * moved StopJmp buffer to fpcatch unit

2002-03-20 14:48  pierre <muller@cerbere.u-strasbg.fr>

	* ide/wutils.pas:
	
	 * avoid stack corruption in CharStr if count > 255

2002-03-20 12:15  pierre <muller@cerbere.u-strasbg.fr>

	* ide/whlpview.pas:
	
	 * possible fix for the IDE prerelease crash

2002-03-19 20:36  peter <peter@freepascal.org>

	* ide/: Makefile, compiler/Makefile, fakegdb/Makefile:
	
	  * fix source location in zips for packages and demos

2002-03-16 15:53  armin

	* ide/fpswitch.pas:
	
	+ add netware target

2002-03-14 18:01  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpmhelp.inc:
	
	 + find Table of contents for FPC docs

2002-03-11 20:10  peter <peter@freepascal.org>

	* ide/: Makefile, compiler/Makefile, fakegdb/Makefile:
	
	  * Regenerated with updated fpcmake

2002-03-09 23:01  carl <carl@freepascal.org>

	* ide/: fixes.txt, readme.txt:
	
	- removing useless file

2002-02-28 22:30  peter <peter@freepascal.org>

	* ide/: Makefile, Makefile.fpc, compiler/Makefile,
	fakegdb/Makefile:
	
	  * regenated

2002-02-20 16:06  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpswitch.pas:
	
	 avoid to insert options in .cfg file if the option has no command
	line

2002-02-11 19:51  peter <peter@freepascal.org>

	* ide/fakegdb/gdbint.pas:
	
	  * signal_name added

2002-02-09 03:04  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpdebug.pas:
	
	 * fix problem with disable all invalid breakpoints

2002-02-09 01:32  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpdesk.pas:
	
	 * fix error when loading breakpoints, try to load other items even
	after an error

2002-02-06 15:45  pierre <muller@cerbere.u-strasbg.fr>

	* ide/: fpdebug.pas, fpstre.inc:
	
	 + handle signals

2002-01-29 19:05  peter <peter@freepascal.org>

	* ide/: Makefile, compiler/Makefile, fakegdb/Makefile:
	
	  * regenerated

2002-01-28 10:41  pierre <muller@cerbere.u-strasbg.fr>

	* ide/: Makefile, Makefile.fpc:
	
	 * remove fpc_packages target

2002-01-27 22:47  peter <peter@freepascal.org>

	* ide/: Makefile, compiler/Makefile, fakegdb/Makefile:
	
	  * regenerated

2002-01-25 15:15  pierre <muller@cerbere.u-strasbg.fr>

	* ide/: wcedit.pas, weditor.pas:
	
	 * fix bug 1774

2002-01-24 10:21  pierre <muller@cerbere.u-strasbg.fr>

	* ide/: fpconst.pas, fphelp.pas, fpide.pas, fpmopts.inc:
	
	 * only disable Alt-X in Options|Compiler dialog

2002-01-22 17:33  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpconst.pas:
	
	 Change IDE version to 0.9.2

2002-01-22 17:29  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpusrscr.pas:
	
	  * try to fix win32 problem with Dos program ouptut in command
	shell
	    Warning, to debug under win32 with GDB you must use "set
	new-console on"

2002-01-22 15:56  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpcalc.pas:
	
	  * fix wrong sign change handling
	  + add 'H' to view current value as hexadecimal

2002-01-22 14:56  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpcalc.pas:
	
	 * fix multiple FPU excpetion trapping problem for unix

2002-01-09 10:48  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpviews.pas:
	
	 try to fix bug 1732

2002-01-09 10:46  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fp.pas:
	
	 * fix problems with -S option

2002-01-06 22:59  peter <peter@freepascal.org>

	* ide/: Makefile, compiler/Makefile, fakegdb/Makefile:
	
	  * regenerated

2001-12-19 11:59  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpviews.pas:
	
	 * attempt to fix web bug 1730

2001-12-11 11:39  marco <marcov@stack.nl>

	* ide/: Makefile, compiler/Makefile, fakegdb/Makefile:
	
	 * BSDhier fix to fpcmake.ini + makefile update.

2001-11-24 03:06  carl <carl@freepascal.org>

	* ide/: fpswitch.pas, README, readme.ide:
	
	* Renamed ppc.cfg -> fpc.cfg

2001-11-23 04:17  carl <carl@freepascal.org>

	* ide/: README, readme.ide:
	
	* rename ppc386.cfg to ppc.cfg

2001-11-18 21:18  peter <peter@freepascal.org>

	* ide/wutils.pas:
	
	  * use cp_value_equal_const instead of cp_all

2001-11-15 14:30  pierre <muller@cerbere.u-strasbg.fr>

	* ide/: fpdpansi.pas, fpmansi.inc:
	
	 + save ansi dump as text is filename suffix is '.txt'

2001-11-15 00:55  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpcalc.pas:
	
	 * fix bug 1680 for go32v2 and hopefully for linux

2001-11-13 02:58  carl <carl@freepascal.org>

	* ide/fpcompil.pas:
	
	* Range check error fix

2001-11-10 01:11  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpdebug.pas:
	
	 * change target menu name if target changed to become debug-able

2001-11-09 12:14  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpmopts.inc:
	
	 * fix the bug about smaller optimization not recorded

2001-11-08 18:06  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpusrscr.pas:
	
	 * impose the correct size for win32 console window

2001-11-08 17:38  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpusrscr.pas:
	
	  * fix win32 scrolling
	  + always go back to 0,0 position in IDE mode

2001-11-08 17:07  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpusrscr.pas:
	
	 * overcome buffer win32 problem due to a bug in ReadConsoleOutput

2001-11-07 01:28  pierre <muller@cerbere.u-strasbg.fr>

	* ide/: fpconst.pas, fpdebug.pas, fpide.pas, fpmrun.inc,
	fpstre.inc, fpviews.pas:
	
	 + Disassembly window made public

2001-11-07 01:18  pierre <muller@cerbere.u-strasbg.fr>

	* ide/weditor.pas:
	
	 * avoid problem to compile ide with debug for linux

2001-11-07 01:16  pierre <muller@cerbere.u-strasbg.fr>

	* ide/woahelp.pas:
	
	 * some security check added

2001-10-24 23:49  pierre <muller@cerbere.u-strasbg.fr>

	* ide/: fpmsrch.inc, fpstre.inc, fpsymbol.pas:
	
	 + FindProcedure implemented

2001-10-24 16:17  pierre <muller@cerbere.u-strasbg.fr>

	* ide/: fpcatch.pas, fpide.pas, fpusrscr.pas:
	
	 * try to fix the Win2000 mouse problem

2001-10-18 22:55  peter <peter@freepascal.org>

	* ide/: Makefile, compiler/Makefile, fakegdb/Makefile:
	
	  * asw support

2001-10-16 22:52  peter <peter@freepascal.org>

	* ide/: Makefile, compiler/Makefile, fakegdb/Makefile:
	
	  * fpc -PB instead of -P?
	  * check if fpc exists if not found fallback to ppc386

2001-10-15 23:45  peter <peter@freepascal.org>

	* ide/fakegdb/: Makefile, Makefile.fpc:
	
	  * fpcpackage added

2001-10-14 23:43  peter <peter@freepascal.org>

	* ide/: Makefile, compiler/Makefile, fakegdb/Makefile:
	
	  * regenerated

2001-10-14 16:16  peter <peter@freepascal.org>

	* ide/fpdebug.pas:
	
	  * fixed typo for linux

2001-10-12 23:50  pierre <muller@cerbere.u-strasbg.fr>

	* ide/vesa.pas:
	
	 * always remove cursor before updating the cursor cell

2001-10-12 16:22  pierre <muller@cerbere.u-strasbg.fr>

	* ide/vesa.pas:
	
	 + graphic modes support enhanced

2001-10-12 16:21  pierre <muller@cerbere.u-strasbg.fr>

	* ide/: fpmopts.inc, fpstre.inc:
	
	 + show error if switch to new screen mode failed

2001-10-12 16:20  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpmansi.inc:
	
	 * use correct video buffer size

2001-10-12 02:04  pierre <muller@cerbere.u-strasbg.fr>

	* ide/vesa.pas:
	
	 * fix color computation for graphic mode

2001-10-12 01:45  pierre <muller@cerbere.u-strasbg.fr>

	* ide/: vesa.pas, fpviews.pas:
	
	 + some preliminary code for graph use

2001-10-11 13:39  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpdebug.pas:
	
	 * better NoSwitch check for unix

2001-10-11 13:38  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpdesk.pas:
	
	 * small fvision specific changes

2001-10-11 13:35  pierre <muller@cerbere.u-strasbg.fr>

	* ide/: vesa.pas, fpmopts.inc, fpviews.pas:
	
	 * adapt to new video unit layout

2001-10-11 13:34  pierre <muller@cerbere.u-strasbg.fr>

	* ide/Makefile:
	
	 patch form Peter

2001-10-11 01:34  pierre <muller@cerbere.u-strasbg.fr>

	* ide/wcedit.pas:
	
	 * fix bug 1632

2001-10-09 14:10  marco <marcov@stack.nl>

	* ide/wconsole.pas:
	
	 * fix.

2001-10-05 13:59  pierre <muller@cerbere.u-strasbg.fr>

	* ide/winclip.pas:
	
	 * Empty CF_TEXT clipboard data for go32v2 to force data conversion
	   if CF_TEXT is requested
	 * Use OemToCharBuff to also set the CF_TEXT clipboard format on
	win32

2001-10-03 23:48  pierre <muller@cerbere.u-strasbg.fr>

	* ide/whelp.pas:
	
	 * remove code that lead to crashes for html helps

2001-10-03 22:46  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpintf.pas:
	
	 * except syntax fix for 1.1 version

2001-10-03 12:21  pierre <muller@cerbere.u-strasbg.fr>

	* ide/: fpcompil.pas, fpintf.pas:
	
	 fix for bug 1487

2001-10-03 01:58  pierre <muller@cerbere.u-strasbg.fr>

	* ide/wconsole.pas:
	
	 * fix linux code

2001-10-03 01:56  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpide.pas:
	
	 * fix bug 1619 by using wconsole unit

2001-10-03 01:40  pierre <muller@cerbere.u-strasbg.fr>

	* ide/wconsole.pas:
	
	 New unit to preserve console mode

2001-10-03 00:43  pierre <muller@cerbere.u-strasbg.fr>

	* ide/weditor.pas:
	
	 * correct last commit, FVISION conditional means the new fvision
	dir instead of fvnew

2001-10-02 18:35  pierre <muller@cerbere.u-strasbg.fr>

	* ide/weditor.pas:
	
	 * get correct curosr position for fvision

2001-10-02 18:31  pierre <muller@cerbere.u-strasbg.fr>

	* ide/whelp.pas:
	
	 * avoid crashes in topic text compares

2001-10-01 11:08  pierre <muller@cerbere.u-strasbg.fr>

	* ide/weditor.pas:
	
	 * fix hexadecimal number highlighting

2001-10-01 02:24  pierre <muller@cerbere.u-strasbg.fr>

	* ide/: fphelp.pas, fpide.pas, fpmhelp.inc, whelp.pas:
	
	 * fix several help problems

2001-10-01 00:18  pierre <muller@cerbere.u-strasbg.fr>

	* ide/whlpview.pas:
	
	 * try to fix problem when unzooming help

2001-09-28 00:32  pierre <muller@cerbere.u-strasbg.fr>

	* ide/wcedit.pas:
	
	 * avoid to get unnecessary warnings about modified files if file
	already open

2001-09-28 00:29  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpviews.pas:
	
	 * avoid to give the same core to all new files

2001-09-27 18:30  pierre <muller@cerbere.u-strasbg.fr>

	* ide/weditor.pas:
	
	 * fix Hexadecimal number highlighting

2001-09-27 00:46  pierre <muller@cerbere.u-strasbg.fr>

	* ide/whlpview.pas:
	
	 * remove break for #1 in THelpTopic.Rebuild

2001-09-26 00:46  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpviews.pas:
	
	 highlight i386 movw in asm code correctly

2001-09-26 00:45  pierre <muller@cerbere.u-strasbg.fr>

	* ide/weditor.pas:
	
	 * fix recognition of directives broken by last patch

2001-09-25 13:59  pierre <muller@cerbere.u-strasbg.fr>

	* ide/weditor.pas:
	
	 * fix comment highlight bugs from bug 1617

2001-09-25 01:54  pierre <muller@cerbere.u-strasbg.fr>

	* ide/whlpview.pas:
	
	 * save text position to allow correct cursor placement when
	zooming

2001-09-18 17:36  pierre <muller@cerbere.u-strasbg.fr>

	* ide/wutils.pas:
	
	 * avoid bug 1610

2001-09-18 13:33  pierre <muller@cerbere.u-strasbg.fr>

	* ide/: whelp.pas, whtmlhlp.pas, wnghelp.pas, woahelp.pas,
	wos2help.pas, wvphelp.pas, wwinhelp.pas:
	
	 * fix Previous Help Topic

2001-09-18 13:33  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpcompil.pas:
	
	 * fix bug 1604

2001-09-18 00:54  pierre <muller@cerbere.u-strasbg.fr>

	* ide/weditor.pas:
	
	 + Line completion for Find/Replace dialogs

2001-09-17 23:30  pierre <muller@cerbere.u-strasbg.fr>

	* ide/weditor.pas:
	
	 * fix a bug in Find/Replace dialog about RegExp

2001-09-17 23:26  peter <peter@freepascal.org>

	* ide/: Makefile, Makefile.fpc:
	
	  * short commandline

2001-09-15 01:47  pierre <muller@cerbere.u-strasbg.fr>

	* ide/: wcedit.pas, wconstse.inc, weditor.pas:
	
	 + more regexp, options now in Find/Replace dialogs

2001-09-15 01:15  pierre <muller@cerbere.u-strasbg.fr>

	* ide/: Makefile, Makefile.fpc:
	
	 + added regexpr dependency

2001-09-14 18:33  pierre <muller@cerbere.u-strasbg.fr>

	* ide/wcedit.pas:
	
	 * several small changes

2001-09-13 18:11  pierre <muller@cerbere.u-strasbg.fr>

	* ide/: globdir.inc, weditor.pas:
	
	 + test code for regexpr use in find dialog

2001-09-13 15:30  pierre <muller@cerbere.u-strasbg.fr>

	* ide/pmode.pas:
	
	 * pmode patch from Peter applied blindly

2001-09-12 11:49  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpmfile.inc:
	
	 + Call to TDebugController.SetDirectories when SourceDirs changes

2001-09-12 11:48  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpdebug.pas:
	
	 + SetDirectories method added to help for disassembly window

2001-09-12 11:31  pierre <muller@cerbere.u-strasbg.fr>

	* ide/weditor.pas:
	
	 * fix bug 1579

2001-09-12 11:25  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpcompil.pas:
	
	 * fix bug 1585

2001-09-10 12:52  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fphelp.pas:
	
	 * fix web bug 1368

2001-09-09 22:44  carl <carl@freepascal.org>

	* ide/fpusrscr.pas:
	
	* bugfix of console sharing mode (on NT this would bug all
	std_input access).

2001-09-07 01:19  pierre <muller@cerbere.u-strasbg.fr>

	* ide/whtml.pas:
	
	 * fix the title, up, next and previous links

2001-09-05 00:58  pierre <muller@cerbere.u-strasbg.fr>

	* ide/weditor.pas:
	
	 * fix highlight for 'i:=1to'

2001-08-30 22:18  peter <peter@freepascal.org>

	* ide/: Makefile, compiler/Makefile, fakegdb/Makefile:
	
	  * regenerated

2001-08-30 01:31  pierre <muller@cerbere.u-strasbg.fr>

	* ide/: fpstre.inc, fpswitch.pas:
	
	 * fix some m68k specific options

2001-08-30 01:28  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpviews.pas:
	
	 * fix the tab garbage

2001-08-22 22:49  peter <peter@freepascal.org>

	* ide/: Makefile, compiler/Makefile, fakegdb/Makefile:
	
	  * regenerated

2001-08-12 02:06  pierre <muller@cerbere.u-strasbg.fr>

	* ide/weditor.pas:
	
	 * better clipboard handling for files with tabs

2001-08-12 02:04  pierre <muller@cerbere.u-strasbg.fr>

	* ide/: fpini.pas, fpusrscr.pas, wansi.pas, wutils.pas:
	
	 * some speed improvements for string operations

2001-08-10 01:17  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpviews.pas:
	
	 * keep tabs in Clipboard

2001-08-08 00:58  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpdebug.pas:
	
	 * watches display enhanced and crashes removed

2001-08-08 00:24  pierre <muller@cerbere.u-strasbg.fr>

	* ide/wini.pas:
	
	 * avoid infinite loop in split method

2001-08-07 23:28  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpcodcmp.pas:
	
	 + Case handling for CodeComplete

2001-08-07 23:27  pierre <muller@cerbere.u-strasbg.fr>

	* ide/fpswitch.pas:
	
	 * avoid RTE 211 on At method with wrong index

2001-08-06 19:18  peter <peter@freepascal.org>

	* ide/: Makefile, Makefile.fpc:
	
	  * also build the packages in the builddirs target, because fv
	needs
	    to be build to do the auto detection of fvision/fv

2001-08-05 14:23  peter <peter@freepascal.org>

	* ide/: Makefile, Makefile.fpc, fp.pas, fpdesk.pas, fpide.pas,
	fpmopts.inc, fpmtools.inc, fpsymbol.pas, fpvars.pas, fpviews.pas:
	
	  * Automatically support for fvision or old fv

2001-08-05 04:01  peter <peter@freepascal.org>

	* ide/: fpcalc.pas, fpcatch.pas, fpcodcmp.pas, fpcodtmp.pas,
	fpcompil.pas, fpconst.pas, fpdebug.pas, fphelp.pas, fpide.pas,
	fpini.pas, fpkeys.pas, fpsymbol.pas, fptemplt.pas, fptools.pas,
	fpviews.pas, wcedit.pas, weditor.pas, whlpview.pas, wutils.pas,
	wviews.pas:
	
	  * FVISION define to compile with fvision units

2001-08-04 14:51  peter <peter@freepascal.org>

	* ide/: Makefile, Makefile.fpc:
	
	  * clean_compiler fixed

2001-08-04 14:46  peter <peter@freepascal.org>

	* ide/compiler/: Makefile, Makefile.fpc:
	
	  * clean ppu files in compiler dir first before building

2001-08-04 13:30  peter <peter@freepascal.org>

	* ide/: Makefile, Makefile.fpc, README, TODO, cvsco.tdf, cvsup.tdf,
	empty.inc, fixes.txt, fp.ans, fp.pas, fpcalc.pas, fpcatch.pas,
	fpcodcmp.pas, fpcodtmp.pas, fpcompil.pas, fpconst.pas, fpdebug.pas,
	fpdesk.pas, fpdpansi.pas, fphelp.pas, fpide.pas, fpini.pas,
	fpintf.pas, fpkeys.pas, fpmansi.inc, fpmcomp.inc, fpmdebug.inc,
	fpmedit.inc, fpmfile.inc, fpmhelp.inc, fpmopts.inc, fpmrun.inc,
	fpmsrch.inc, fpmtools.inc, fpmwnd.inc, fpredir.pas, fpstre.inc,
	fpstrh.inc, fpstring.pas, fpswitch.pas, fpsymbol.pas, fptemplt.pas,
	fptools.pas, fpusrscr.pas, fputils.pas, fpvars.pas, fpviews.pas,
	globdir.inc, gplprog.pt, gplunit.pt, grep.tdf, maketp.bat,
	pmode.pas, program.pt, readme.ide, readme.txt, realintr.inc,
	test.pas, test1.pas, test2.pas, tpgrep.tdf, unit.pt, vesa.pas,
	wansi.pas, wcedit.pas, wconsts.pas, wconstse.inc, wconstsh.inc,
	weditor.pas, whelp.pas, whlpview.pas, whtml.pas, whtmlhlp.pas,
	whtmlscn.pas, winclip.pas, windebug.pas, wini.pas, wnghelp.pas,
	woahelp.pas, wos2help.pas, wresourc.pas, wtphwrit.pas, wutils.pas,
	wviews.pas, wvphelp.pas, wwinhelp.pas, compiler/Makefile,
	compiler/Makefile.fpc, compiler/compunit.pas, fakegdb/Makefile,
	fakegdb/Makefile.fpc, fakegdb/gdbcon.pas, fakegdb/gdbint.pas,
	utils/grep2msg.pas, utils/tphc.pas:
	
	  * ide works now with both compiler versions

2001-08-04 13:12  peter <peter@freepascal.org>

	* ide/: Makefile, Makefile.fpc:
	
	  * will be replaced by single source ide

2001-08-02 22:55  peter <peter@freepascal.org>

	* ide/Makefile:
	
	  * Regenerated

2001-08-01 00:02  peter <peter@freepascal.org>

	* ide/Makefile:
	
	  * install Package.fpc

2001-07-14 00:05  peter <peter@freepascal.org>

	* ide/Makefile:
	
	  * cygwin updates

2001-06-07 23:25  peter <peter@freepascal.org>

	* ide/Makefile:
	
	  * Regenerated

2001-06-06 23:58  peter <peter@freepascal.org>

	* ide/Makefile:
	
	  * Win32 fixes for Makefile so it doesn't require sh.exe

2001-06-05 00:21  peter <peter@freepascal.org>

	* ide/Makefile:
	
	  * Regenerated

2001-06-04 23:44  peter <peter@freepascal.org>

	* ide/Makefile:
	
	  * Regenerated

2001-05-30 23:39  peter <peter@freepascal.org>

	* ide/Makefile:
	
	  * gecho, gdate fixes
	  * distinstall target rewrite to not install things twice

2001-05-03 23:35  peter <peter@freepascal.org>

	* ide/: Makefile, Makefile.fpc:
	
	  * Makefile fixes

2001-04-29 10:38  peter <peter@freepascal.org>

	* ide/: Makefile, Makefile.fpc:
	
	  * fixed clean targets

2001-04-26 00:38  peter <peter@freepascal.org>

	* ide/: Makefile, Makefile.fpc:
	
	  * updates from fixes branch so fpcmake for Makefiles works

2001-02-24 11:46  peter <peter@freepascal.org>

	* ide/Makefile:
	
	  * regenerated

2001-02-22 22:15  peter <peter@freepascal.org>

	* ide/Makefile:
	
	  * regenerated

2001-02-20 23:00  peter <peter@freepascal.org>

	* ide/Makefile:
	
	  * regenerated for cygwin32 support

2001-02-02 23:41  peter <peter@freepascal.org>

	* ide/Makefile:
	
	  * regenerated

2001-02-01 23:00  peter <peter@freepascal.org>

	* ide/Makefile:
	
	  * default.fpcdir is back
	  * subdir requirement checking works, but not very optimal yet as
	    it can load the same Makefile.fpc multiple times

2001-01-30 22:56  peter <peter@freepascal.org>

	* ide/Makefile:
	
	  * regenarated

2001-01-30 21:41  peter <peter@freepascal.org>

	* ide/Makefile:
	
	  * regenarated

2001-01-29 22:52  peter <peter@freepascal.org>

	* ide/: Makefile, Makefile.fpc:
	
	  * New FPCMake update

2000-12-19 22:17  peter <peter@freepascal.org>

	* ide/Makefile:
	
	  * regenerated

2000-10-27 01:03  peter <peter@freepascal.org>

	* ide/Makefile:
	
	  * regenerated

2000-10-01 23:05  peter <peter@freepascal.org>

	* ide/Makefile:
	
	  * regenerated

2000-09-27 23:10  peter <peter@freepascal.org>

	* ide/Makefile:
	
	  * regenerated

2000-09-20 21:50  peter <peter@freepascal.org>

	* ide/Makefile:
	
	  * regenerated

2000-09-01 23:58  peter <peter@freepascal.org>

	* ide/Makefile:
	
	  * regenerated

2000-07-13 11:48  michael <michael.vancanneyt@wisa.be>

	* ide/: Makefile, Makefile.fpc:
	
	+ Initial import

